/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/include/Parameters.h"
#include "Behavioural/Generic/RegisterFile/include/Types.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace registerfile {


  std::string Parameters::msg_error(void)
  {
    log_printf(FUNC,RegisterFile,"msg_error","Begin");

    if (_instance == instance_RegisterFile_Monolithic)
      return _param_registerfile_monolithic  ->msg_error();
    else
      return _param_registerfile_multi_banked->msg_error();
    
    log_printf(FUNC,RegisterFile,"msg_error","End");
  };

}; // end namespace registerfile
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
